Subject: Re: Update IRC-related references to point to Libera.Chat

From: Amin Bandali <[email-masked]>
Date: Sun, 13 Jun 2021 12:07:13 -0400

Eli Zaretskii writes:

>> From: Amin Bandali <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Sun, 13 Jun 2021 11:01:35 -0400
>> 
>> I've prepared the following first revision against emacs-27.
>> All comments/feedback welcome.
>> 
>> Eli, Lars, are you comfortable with the scope of the changes?
>
> It's a large patch: is there anything here besides mechanical change
> of the server address?

It's a bit large, but it is indeed mostly mechanical replacements.
I also took the liberty to backport the following tiny and relevant
changes from the 'master' branch:

- https://git.savannah.gnu.org/cgit/emacs.git/commit?id=a70a344941713baf08dc0c093bdf25cf36b09858
- https://git.savannah.gnu.org/cgit/emacs.git/commit?id=86e4d770a833538f3cb711eb42d8fd8d764a4635
- https://git.savannah.gnu.org/cgit/emacs.git/commit?id=19ef864084c9765b7736851b46dcbcbe3dbfcf27

I'm Cc'ing active ERC contributor J.P. to help with the reviewing,
as well as Philip and Tassilo whom I saw discuss rcirc changes on
emacs-devel recently.  I'd appreciate it if you would kindly help
look over and review the proposed changes.

> Btw, shouldn't we have some FAQ about the switch and its reasons?
>
> Thanks.
>

That's a good idea, thanks.  I will add a NEWS entry in the next
revision, and perhaps add to the erc and rcirc texinfo manuals too.